Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspLineMapItem

    java.lang.Object
      |
      +--org.apache.jasper.compiler.JspLineMapItem

public class JspLineMapItem
extends java.lang.Object

Data structure used for each individual line map item. This data structure has a set of numbers representing the beginning and ending jsp line numbers and the associated generated servlet lines.

Author:
  Justyna Horwat

Constructor Summary
`JspLineMapItem()`

Method Summary
`int` | `getBeginJspColNr()` Get the beginning jsp column number
`int` | `getBeginJspLnr()` Get the beginning jsp line number
`int` | `getBeginServletLnr()` Get the beginning servlet line number
`int` | `getEndJspColNr()` Get the ending jsp column number
`int` | `getEndJspLnr()` Get the ending jsp line number
`int` | `getEndServletLnr()` Get the ending servlet line number
`int` | `getStartJspFileNr()` Get the index of the starting jsp file
`int` | `getStopJspFileNr()` Get the index of the stopping jsp file
`void` | `setBeginJspColNr(int item)` Set the beginning jsp column number
`void` | `setBeginJspLnr(int item)` Set the beginning jsp line number
`void` | `setBeginServletLnr(int item)` Set the beginning servlet line number
`void` | `setEndJspColNr(int item)` Set the ending jsp column number
`void` | `setEndJspLnr(int item)` Set the ending jsp line number
`void` | `setEndServletLnr(int item)` Set the ending servlet line number
`void` | `setStartJspFileNr(int item)` Set the index of the starting jsp file
`void` | `setStopJspFileNr(int item)` Set the index of the stopping jsp file
`java.lang.String` | `toString()` Convert data structure to a string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspLineMapItem

    public JspLineMapItem()

Method Detail

### setBeginServletLnr

    public void setBeginServletLnr(int item)

  Set the beginning servlet line number

### getBeginServletLnr

    public int getBeginServletLnr()

  Get the beginning servlet line number

### setEndServletLnr

    public void setEndServletLnr(int item)

  Set the ending servlet line number

### getEndServletLnr

    public int getEndServletLnr()

  Get the ending servlet line number

### setStartJspFileNr

    public void setStartJspFileNr(int item)

  Set the index of the starting jsp file

### getStartJspFileNr

    public int getStartJspFileNr()

  Get the index of the starting jsp file

### setBeginJspLnr

    public void setBeginJspLnr(int item)

  Set the beginning jsp line number

### getBeginJspLnr

    public int getBeginJspLnr()

  Get the beginning jsp line number

### setBeginJspColNr

    public void setBeginJspColNr(int item)

  Set the beginning jsp column number

### getBeginJspColNr

    public int getBeginJspColNr()

  Get the beginning jsp column number

### setStopJspFileNr

    public void setStopJspFileNr(int item)

  Set the index of the stopping jsp file

### getStopJspFileNr

    public int getStopJspFileNr()

  Get the index of the stopping jsp file

### setEndJspLnr

    public void setEndJspLnr(int item)

  Set the ending jsp line number

### getEndJspLnr

    public int getEndJspLnr()

  Get the ending jsp line number

### setEndJspColNr

    public void setEndJspColNr(int item)

  Set the ending jsp column number

### getEndJspColNr

    public int getEndJspColNr()

  Get the ending jsp column number

### toString

    public java.lang.String toString()

  Convert data structure to a string

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.